Bug 225785 - Merge Review: gdm
Merge Review: gdm
Status: NEW
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On: 487228
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:41 EST by Nobody's working on this, feel free to take it
Modified: 2016-11-24 05:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:41:43 EST
Fedora Merge Review: gdm

http://cvs.fedora.redhat.com/viewcvs/devel/gdm/
Initial Owner: rstrode@redhat.com
Comment 1 Yijun Yuan 2007-02-05 02:44:28 EST
should gdm require "redhat-menus"?

I'm installing XFCE and gdm to a minimal installed system. Yum cannot find
dependency for "/usr/share/desktop-menu-patches/gnome-gdmsetup.desktop", so I
have to specify "redhat-menus" on yum cmdline.
Comment 2 Christian Krause 2009-07-17 15:12:54 EDT
A minor ownership/permission issue is described in bug #487228:

After the first execution of gdm "rpm -V gdm" reports the following changes:

.M....G.    /var/log/gdm
.M......    /var/run/gdm

This should block the merge review.
Comment 4 Thomas Spura 2009-11-06 15:04:00 EST
Some other items, I just found:

- DOES NOT BUILD IN KOJI: see below



- macros in %changelog, %pre in line 2098 and %doc in line 2259
  please use %%pre and %%doc instead

- Prereq: /usr/sbin/useradd is deprecated:
  please use Requires: instead

- 122 Obsoletes: fast-user-switch-applet
  123 Provides:  fast-user-switch-applet = %{epoch}:%{version}-%{release}

  Should that not be:
  Obsoletes: fast-user-switch-applet < %{epoch}:%{version}-%{release}
  ?



- DOES NOT BUILD IN KOJI:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1792744

  CC     gdm-product-display.o
  CC     gdm-manager.o
  CC     gdm-slave-proxy.o
sed -e 's,[@]sbindir[@],/usr/sbin,g' <./gdm.in >gdm
  CCLD   gdm-simple-slave
gdm-manager.c:36:1: warning: "DBUS_API_SUBJECT_TO_CHANGE" redefined
<command-line>: warning: this is the location of the previous definition
gdm-manager.c: In function 'gdm_manager_set_xdmcp_enabled':
gdm-manager.c:299: error: 'GdmManagerPrivate' has no member named 'xdmcp_factory'
gdm-manager.c:301: error: 'GdmManagerPrivate' has no member named 'xdmcp_factory'
gdm-manager.c:305: error: 'GdmManagerPrivate' has no member named 'xdmcp_factory'
gdm-manager.c:308: error: 'GdmManagerPrivate' has no member named 'xdmcp_factory'
gdm-manager.c:309: error: 'GdmManagerPrivate' has no member named 'xdmcp_factory'
make[3]: *** [gdm-manager.o] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/builddir/build/BUILD/gdm-2.28.1/daemon'
make[2]: Leaving directory `/builddir/build/BUILD/gdm-2.28.1/daemon'
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/gdm-2.28.1'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.laAClY (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.laAClY (%build)
Comment 5 Cole Robinson 2015-02-11 15:36:37 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 6 Jan Kurik 2015-07-15 11:26:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 7 Fedora End Of Life 2016-11-24 05:18:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.